Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::PropertyTools Class Reference

Property management class. Convert property type to property type label. Remove this class in next version. More...

`#include <CSVGraphImport.h>`

List of all members.

## Static Public Member Functions

- static _DEPRECATED std::string getPropertyTypeLabel (const std::string &typeName)
- static _DEPRECATED std::string getPropertyTypeFromPropertyTypeLabel (const std::string &typeNameLabel)
- static _DEPRECATED QStringList getPropertyTypeLabelsList ()
- static _DEPRECATED std::string guessDataType (const std::string &data, const std::string &decimalSeparator)
    Try to find the type from a string.
- static _DEPRECATED bool existingPropertyIsCompatibleWithType (Graph *graph, const std::string &propertyName, const std::string &propertyType)
    Test if a property is compatible with the given type.
- static _DEPRECATED
  PropertyInterface * getProperty (Graph *graph, const std::string &propertyName, const std::string &propertyType)
    Find or create a property in the graph.
- static _DEPRECATED
  PropertyInterface * getLocalProperty (Graph *graph, const std::string &propertyName, const std::string &propertyType)
    Find or create a local property in the graph.

## Detailed Description

Property management class. Convert property type to property type label. Remove this class in next version.

## Member Function Documentation

static _DEPRECATED bool tlp::PropertyTools::existingPropertyIsCompatibleWithType | ( | Graph * | graph,
|  | const std::string & | propertyName,
|  | const std::string & | propertyType
| ) |  | `[static]`

Test if a property is compatible with the given type.

static _DEPRECATED PropertyInterface* tlp::PropertyTools::getLocalProperty | ( | Graph * | graph,
|  | const std::string & | propertyName,
|  | const std::string & | propertyType
| ) |  | `[static]`

Find or create a local property in the graph.

static _DEPRECATED PropertyInterface* tlp::PropertyTools::getProperty | ( | Graph * | graph,
|  | const std::string & | propertyName,
|  | const std::string & | propertyType
| ) |  | `[static]`

Find or create a property in the graph.

static _DEPRECATED std::string tlp::PropertyTools::getPropertyTypeFromPropertyTypeLabel | ( | const std::string & | typeNameLabel | ) | `[static]`

static _DEPRECATED std::string tlp::PropertyTools::getPropertyTypeLabel | ( | const std::string & | typeName | ) | `[static]`

static _DEPRECATED QStringList tlp::PropertyTools::getPropertyTypeLabelsList | ( |  | ) | `[static]`

static _DEPRECATED std::string tlp::PropertyTools::guessDataType | ( | const std::string & | data,
|  | const std::string & | decimalSeparator
| ) |  | `[static]`

Try to find the type from a string.

Tulip Software by LaBRI Visualization Team 2001 - 2012